Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xml.sax.SAXException
                  org.apache.fop.apps.FOPException
                      org.apache.fop.fo.ValidationException

All Implemented Interfaces:
  java.io.Serializable

public class ValidationException
extends FOPException

Exception thrown during FO tree validation.

See Also:
  Serialized Form

Constructor Summary
`ValidationException(java.lang.String message)`
`ValidationException(java.lang.String message, org.xml.sax.Locator locator)`

Methods inherited from class org.apache.fop.apps.FOPException
`getLocalizedMessage, getMessage, getRootException, isLocationSet, printStackTrace, printStackTrace, printStackTrace, setLocalizedMessage, setLocation, setLocator`

Methods inherited from class org.xml.sax.SAXException
`getException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException(java.lang.String message)

### ValidationException

    public ValidationException(java.lang.String message,
                               org.xml.sax.Locator locator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.